wreport::Tables Struct Reference

Collection of BUFR/CREX tables used to work on a bulletin. More...

`#include <tables.h>`

## Public Member Functions

| Tables (const Tables &)=delete
| Tables (Tables &&)
Tables & | operator= (const Tables &)=delete
Tables & | operator= (Tables &&)
bool | loaded () const
| Check if the B and D tables have been loaded.
void | clear ()
| Clear btable, datable and all locally generated Varinfos.
void | load_bufr (const BufrTableID &id)
| Load BUFR B and D tables.
void | load_crex (const CrexTableID &id)
| Load CREX B and D tables.
Varinfo | get_bitmap (Varcode code, const std::string &bitmap) const
Varinfo | get_chardata (Varcode code, unsigned len) const
Varinfo | get_unknown (Varcode code, unsigned bit_len) const

## Data Fields

const Vartable * | btable
| Vartable used to lookup B table codes.
const DTable * | dtable
| DTable used to lookup D table codes.
std::map< std::string, _Varinfo > | bitmap_table
| Storage for temporary Varinfos for bitmaps.
std::map< Varcode, _Varinfo > | chardata_table
| Storage for temporary Varinfos for arbitrary character data.
std::map< unsigned, _Varinfo > | unknown_table
| Storage for temporary Varinfos for C06 unknown local descriptors.

## Detailed Description

Collection of BUFR/CREX tables used to work on a bulletin.

The documentation for this struct was generated from the following file:

- tables.h